
CoCoALib - Bug #155

gcd: multivariate over non-prime finite field

07 May 2012 16:08 - John Abbott

Status: Closed Start date: 07 May 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Various Estimated time: 1.50 hour

Target version: CoCoALib-0.9951 Spent time: 1.50 hour

Description

GCD produces an unexpected error.  Here is an example:

p := 7;

Fp ::= ZZ/(p);

Fpx ::= Fp[x];

Use Fpx;

m := x^2+4;

Fq := Fpx/Ideal(m);

IsFiniteField(Fq);

P ::= Fq[a,b,c];

Use P;

gcd(a,b);

 

The error is Duplicate indet names or varied number of indices for a single name

Related issues:

Related to CoCoALib - Feature #156: Brand new symbol(s) Closed 07 May 2012

History

#1 - 07 May 2012 17:06 - John Abbott

The guilty line is 1480 in TmpGReductor.C

My example used an unindexed x in the field of coeffs --  this triggered the clash detected in line 1486.

I have spun off issue #156 because of this.

#2 - 10 May 2012 15:44 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 90

A first impl of nameless symbols together with a change to line 1480 in TmpGReductor.C has solved the problem.

Anna will add the "troublesome" CoCoA code to one of the standard tests.

Once Anna has done that this issue is closed (but not #156).

#3 - 11 May 2012 19:01 - Anna Maria Bigatti
- Category set to Various

- Status changed from Resolved to Closed

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9951

- % Done changed from 90 to 100

- Estimated time set to 1.50 h
